## plasma-samegame 24.02.0+p24.04+vstable+git20251109.0323

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)

project(samegame)

# QT_MAJOR_VERSION is defined automatically by QtVersionOption (since ECM 5.82)
# which is included by KDEInstallDirs;
# This variables are updated below if Qt6 is found by ECM
set(QT_MIN_VERSION "5.14.0")
set(KF5_MIN_VERSION "5.70.0")
set(KF_MAJOR_VERSION "5")

include(FeatureSummary)

find_package(ECM ${KF_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEClangFormat)

if (QT_MAJOR_VERSION STREQUAL "6")
    set(REQUIRED_QT_VERSION "6.4")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
endif()

################# Find dependencies #################
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg Sql Widgets)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 I18n CoreAddons Declarative)

################# build and install #################
add_subdirectory(src)

add_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

install(PROGRAMS org.kde.samegame.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.samegame.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
#install(FILES org.kde.samegame.svg DESTINATION ${KDE_INSTALL_FULL_ICONDIR}/hicolor/scalable/apps)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES src/*.cpp src/*.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== src/CMakeLists.txt ===
add_executable(samegame
    main.cpp
    resources.qrc
    ${samegame_SRCS})
    
target_link_libraries(samegame
    Qt::Core
    Qt::Widgets
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    Qt::Sql
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::CoreAddons)
    
install(TARGETS samegame ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
plasma-samegame (24.02.0+p24.04+vstable+git20251109.0323-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 09 Nov 2025 03:23:35 +0000

plasma-samegame (24.02.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 Feb 2024 12:05:19 +0000

plasma-samegame (23.04.2-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 23:13:09 +0000

=== debian/control ===
Source: plasma-samegame
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma-mobile/samegame.git
Vcs-Git: https://invent.kde.org/neon/mobile/plasma-samegame.git
Vcs-Browser: https://invent.kde.org/neon/mobile/plasma-samegame
Maintainer: Neon CI <neon@kde.org>

Package: plasma-samegame
Architecture: any
Depends: kf6-kirigami-addons,
         kf6-kirigami2,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma Mobile samegame
 Samegame clone suitable for mobile devices
